<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/basicinfo/PointStackerRelation.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/basicinfo/PointStackerRelation.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'PointID',
            footer: "Foots",
            cnName: '分配区域关系',
            name: 'PointStackerRelation',
            url: "/PointStackerRelation/",
            sortName: "PointID"
        });
        const editFormFields = ref({
            "pointCode": "",
            "stackerCode": "",
            "direction": "",
            "area": "",
        });
        const editFormOptions = ref([
            [
                { "title": "站台编号", "field": "pointCode", type: "text" },
                { "title": "堆垛机编号", "field": "stackerCode", type: "text" },
            ],
            [
                { "title": "关系的方向", "field": "direction", type: "text" },
                { "title": "关系的区域", "field": "area", type: "text" },
            ]
        ]);
        const searchFormFields = ref({});
        const searchFormOptions = ref([
            [
                { "title": "站台编号", "field": "pointCode", type: "text" },
                { "title": "堆垛机编号", "field": "stackerCode", type: "text" },
            ],
            [
                { "title": "关系的方向", "field": "direction", type: "text" },
                { "title": "关系的区域", "field": "area", type: "text" },
            ]
        ]);
        const columns = ref([{ field: 'PointID', title: '主键', type: 'int', sort: true, hidden: true, width: 110, readonly: true, require: true, align: 'left' },
        { field: 'pointCode', title: '站台编号', type: 'string', sort: true, width: 110, require: true, align: 'left', sort: true },
        { field: 'stackerCode', title: '堆垛机编号', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'direction', title: '关系的方向(P 或 S)', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'area', title: '关系的区域', type: 'int', sort: true, width: 110, align: 'left' },
        { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150, hidden: true, align: 'left', sort: true },])
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
